Getopt::Yath::Option::PathList(3pm)

NAME
Getopt::Yath::Option::PathList - Option that takes one or more paths, wild cards allowed.

DESCRIPTION
Option that lets you specify multiple files and/or paths including wildcards that get expanded.

SYNOPSIS
    option changed => (
        type          => 'PathList',
        split_on      => ',',
        description   => "Specify one or more files as having been changed.",
        long_examples => [' path/to/file'],
    );

METHODS
All methods from Getopt::Yath::Option::List are inherited. The following are overridden or noteworthy:

normalize_value(@input)
    Values containing wildcard characters ("*") are expanded using Perl's glob() function. All other processing is delegated to the parent class.

SOURCE
The source code repository for Getopt-Yath can be found at <http://github.com/Test-More/Getopt-Yath/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>